plugins {
    id 'java'
    id 'org.springframework.boot' version '3.3.5'
    id 'io.spring.dependency-management' version '1.1.7'
}

apply from: 'gradle/wrapper/plugins/dependencies.gradle'

group = 'br.com.rayankonecny'
version = '1.0.0'

java {
    toolchain {
        languageVersion = JavaLanguageVersion.of(21)
    }
}


// ext {
//     springCloudVersion = "2023.0.3"
// }

// dependencies {

//     implementation 'br.com.rayan:hd-commons-lib:1.0.0'

//     implementation 'org.springframework.boot:spring-boot-starter'
//     implementation 'org.springframework.boot:spring-boot-starter-web'
//     implementation 'org.springframework.boot:spring-boot-starter-data-mongodb'
//     implementation 'org.springframework.boot:spring-boot-starter-validation'

//     // Swagger / OpenAPI (compatível com Spring Boot 3.3.x)
//     implementation 'org.springdoc:springdoc-openapi-starter-webmvc-ui:2.3.0'

//     compileOnly 'org.projectlombok:lombok'
//     annotationProcessor 'org.projectlombok:lombok'

//     implementation 'org.mapstruct:mapstruct:1.5.3.Final'
//     annotationProcessor 'org.mapstruct:mapstruct-processor:1.5.3.Final'

//     testImplementation 'org.springframework.boot:spring-boot-starter-test'
// }

// dependencyManagement {
//     imports {
//         mavenBom "org.springframework.cloud:spring-cloud-dependencies:${springCloudVersion}"
//     }
// }

tasks.named('test') {
    useJUnitPlatform()
}
